DCMTK: DRTReferencedCalculatedDoseReferenceSequence::Item Class Reference

DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
DRTReferencedCalculatedDoseReferenceSequence::Item Class Reference

Item class. More...

Inheritance diagram for DRTReferencedCalculatedDoseReferenceSequence::Item:

## Public Member Functions
| Item (const OFBool emptyDefaultItem=OFFalse)
| (default) constructor
| Item (const Item &copy)
| copy constructor
virtual | ~Item ()
| destructor
Item & | operator= (const Item &copy)
| assignment operator
void | clear ()
| clear all internal member variables
OFBool | isEmpty ()
| check if item is empty
OFBool | isValid () const
| check if item is valid, i.e. not the empty default item
OFCondition | read (DcmItem &item)
| read elements from sequence item
OFCondition | write (DcmItem &item)
| write elements to sequence item
OFCondition | getCalculatedDoseReferenceDoseValue (OFString &value, const signed long pos=0) const
| get CalculatedDoseReferenceDoseValue (3008,0076)
OFCondition | getCalculatedDoseReferenceDoseValue (Float64 &value, const unsigned long pos=0) const
| get CalculatedDoseReferenceDoseValue (3008,0076)
OFCondition | getReferencedCalculatedDoseReferenceNumber (OFString &value, const signed long pos=0) const
| get ReferencedCalculatedDoseReferenceNumber (3008,0092)
OFCondition | getReferencedCalculatedDoseReferenceNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedCalculatedDoseReferenceNumber (3008,0092)
OFCondition | getReferencedDoseReferenceNumber (OFString &value, const signed long pos=0) const
| get ReferencedDoseReferenceNumber (300c,0051)
OFCondition | getReferencedDoseReferenceNumber (Sint32 &value, const unsigned long pos=0) const
| get ReferencedDoseReferenceNumber (300c,0051)
OFCondition | setCalculatedDoseReferenceDoseValue (const OFString &value, const OFBool check=OFTrue)
| set CalculatedDoseReferenceDoseValue (3008,0076)
OFCondition | setReferencedCalculatedDoseReferenceNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedCalculatedDoseReferenceNumber (3008,0092)
OFCondition | setReferencedDoseReferenceNumber (const OFString &value, const OFBool check=OFTrue)
| set ReferencedDoseReferenceNumber (300c,0051)

## Private Attributes
OFBool | EmptyDefaultItem
| internal flag used to mark the empty default item
DcmDecimalString | CalculatedDoseReferenceDoseValue
| CalculatedDoseReferenceDoseValue (3008,0076) vr=DS, vm=1, type=1.
DcmIntegerString | ReferencedCalculatedDoseReferenceNumber
| ReferencedCalculatedDoseReferenceNumber (3008,0092) vr=IS, vm=1, type=1C.
DcmIntegerString | ReferencedDoseReferenceNumber
| ReferencedDoseReferenceNumber (300c,0051) vr=IS, vm=1, type=1C.

## Additional Inherited Members
Protected Member Functions inherited from DRTTypes
virtual | ~DRTTypes ()
| destructor.
Static Protected Member Functions inherited from DRTTypes
static OFCondition | addElementToDataset (OFCondition &result, DcmItem &dataset, DcmElement *element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| add given element to the dataset.
static OFCondition | getElementFromDataset (DcmItem &dataset, DcmElement &element)
| get element from dataset
static OFCondition | getStringValueFromElement (const DcmElement &element, OFString &stringValue, const signed long pos=0)
| get string value from element
static OFCondition | getStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue)
| get string value from dataset
static OFCondition | putStringValueToDataset (DcmItem &dataset, const DcmTag &tag, const OFString &stringValue, const OFBool allowEmpty=OFTrue)
| put string value to dataset
static OFBool | checkElementValue (DcmElement &element, const OFString &vm, const OFString &type, const OFCondition &searchCond=EC_Normal, const char *moduleName=NULL)
| check element value for correct value multiplicity and type
static OFCondition | getAndCheckElementFromDataset (DcmItem &dataset, DcmElement &element, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get element from dataset and check it for correct value multiplicity and type.
static OFCondition | getAndCheckStringValueFromDataset (DcmItem &dataset, const DcmTagKey &tagKey, OFString &stringValue, const OFString &vm, const OFString &type, const char *moduleName=NULL)
| get string value from dataset and check it for correct value multiplicity and type.

## Detailed Description

Item class.

## Constructor & Destructor Documentation

## ◆ Item() [1/2]

DRTReferencedCalculatedDoseReferenceSequence::Item::Item | ( | const OFBool | emptyDefaultItem = OFFalse | ) |

(default) constructor

Parameters

  emptyDefaultItem | flag used to mark the empty default item

Referenced by Item(), and operator=().

## ◆ Item() [2/2]

DRTReferencedCalculatedDoseReferenceSequence::Item::Item | ( | const Item & | copy | ) |

copy constructor

Parameters

  copy | item object to be copied

References Item().

## Member Function Documentation

## ◆ getCalculatedDoseReferenceDoseValue() [1/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getCalculatedDoseReferenceDoseValue | ( | Float64 & | value,
|  | const unsigned long | pos = 0 ) const

get CalculatedDoseReferenceDoseValue (3008,0076)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getCalculatedDoseReferenceDoseValue() [2/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getCalculatedDoseReferenceDoseValue | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get CalculatedDoseReferenceDoseValue (3008,0076)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedCalculatedDoseReferenceNumber() [1/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getReferencedCalculatedDoseReferenceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedCalculatedDoseReferenceNumber (3008,0092)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedCalculatedDoseReferenceNumber() [2/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getReferencedCalculatedDoseReferenceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedCalculatedDoseReferenceNumber (3008,0092)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceNumber() [1/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getReferencedDoseReferenceNumber | ( | OFString & | value,
|  | const signed long | pos = 0 ) const

get ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1), -1 for all components

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ getReferencedDoseReferenceNumber() [2/2]

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::getReferencedDoseReferenceNumber | ( | Sint32 & | value,
|  | const unsigned long | pos = 0 ) const

get ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | reference to variable in which the value should be stored
  pos | index of the value to get (0..vm-1)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ isEmpty()

OFBool DRTReferencedCalculatedDoseReferenceSequence::Item::isEmpty | ( |  | ) |

check if item is empty

Returns
  OFTrue if item is empty, OFFalse otherwise

## ◆ isValid()

OFBool DRTReferencedCalculatedDoseReferenceSequence::Item::isValid | ( |  | ) | const

check if item is valid, i.e. not the empty default item

Returns
  OFTrue if item is valid, OFFalse otherwise

## ◆ operator=()

Item & DRTReferencedCalculatedDoseReferenceSequence::Item::operator= | ( | const Item & | copy | ) |

assignment operator

Parameters

  copy | item object to be copied

Returns
  reference to this object

References Item().

## ◆ read()

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::read | ( | DcmItem & | item | ) |

read elements from sequence item

Parameters

  item | reference to DICOM sequence item from which the elements should be read

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setCalculatedDoseReferenceDoseValue()

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::setCalculatedDoseReferenceDoseValue | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set CalculatedDoseReferenceDoseValue (3008,0076)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (DS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedCalculatedDoseReferenceNumber()

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::setReferencedCalculatedDoseReferenceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedCalculatedDoseReferenceNumber (3008,0092)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ setReferencedDoseReferenceNumber()

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::setReferencedDoseReferenceNumber | ( | const OFString & | value,
|  | const OFBool | check = OFTrue )

set ReferencedDoseReferenceNumber (300c,0051)

Parameters

  value | value to be set (single value only) or "" for no value
  check | check 'value' for conformance with VR (IS) and VM (1) if enabled

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DRTReferencedCalculatedDoseReferenceSequence::Item::write | ( | DcmItem & | item | ) |

write elements to sequence item

Parameters

  item | reference to DICOM sequence item to which the elements should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmrt/include/dcmtk/dcmrt/seq/drtrcdrs.h

Generated on for DCMTK Version 3.7.0 by Doxygen 1.16.1